package com.qmth.themis.business.enums;

/**
 * @Description: mq tag enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/28
 */
public enum MqTagEnum {

    web("会话web标签"),
    win("会话win标签"),
    mac("会话mac标签"),
    wxapp("会话wxapp标签"),
    ios("会话ios标签"),
    android("会话android标签"),
    user("用户轨迹user标签"),
    student("用户轨迹student标签"),
    examStudentImport("考生导入任务标签"),
    roomCodeExport("考场导出任务标签"),
    roomCodeImport("考场导入任务标签"),
    examPaperImport("试卷导入任务标签"),
    oe("websocket客户端标签"),
    unNormal("websocket超时退出标签"),
    examActivity("考场一次性延时任务标签"),
    quartz("quartz标签"),
    calculateObjectiveScore("计算客观分标签"),
    faceVerifySave("人脸验证保存"),
    livenessVerifySave("活体验证保存"),
    examRecordPersisted("考试记录数据持久化"),
    examRecordUpdate("考试记录数据更新"),
    examRecordInit("考试记录数据初始化"),
    examBreakHistory("考试断点记录");

    private MqTagEnum(String code) {
        this.code = code;
    }

    private String code;

    public String getCode() {
        return code;
    }
}
